﻿using System;
namespace KyotoUniv.Hydrology.Tool.Tools
{
    interface IKyotoUnivHydrologyToolFactory
    {
        CommonMP.HYMCO.Interface.Data.McCalInfo CreateCalInfo(CommonMP.HYSSOP.CoreImpl.HSData.HySObjectKind csModelKind);
        CommonMP.HYMCO.Interface.Model.McCalModel CreateCalModel(CommonMP.HYSSOP.CoreImpl.HSData.HySObjectKind csModelKind);
        CommonMP.HYSSOP.CoreImpl.HSData.HySID CreateFactoryID();
        CommonMP.HYMCO.Interface.Data.McPropertyInfoRoot CreateModelInitialInfo(CommonMP.HYSSOP.CoreImpl.HSData.HySID csLibraryID, CommonMP.HYSSOP.CoreImpl.HSData.HySObjectKind csModelKind);
        CommonMP.HYMCO.Interface.Data.McCellModelPropertyIF CreateModelProperty(CommonMP.HYSSOP.CoreImpl.HSData.HySID csLibraryID, CommonMP.HYSSOP.CoreImpl.HSData.HySObjectKind csModelKind);
        CommonMP.HYSSOP.CoreImpl.HSData.HySDataLinkedList GetCalModelInfoList();
    }
}
